/*****************************************************************************************
 *
 *  Copyright 2006+ by XXXXX
 *  All Rights Reserved.
 *
 *  Version    Date          Author             Log
 *  --------------------------------------------------------------------------------------
 *  0.0        XXXXX         XXXXX              Inital Release
 *
 ****************************************************************************************/

#include <nokix/all.h>

#define MSG_LIGHTS_LCD_ON_KBD_OFF   (0x1b5f)
#define MSG_LIGHTS_LCD_OFF_KBD_ON   (0x1b60)

struct msg
{
   unsigned char type;
   unsigned char dest;
   unsigned short msg;
   unsigned argv[3];
};

void set_external_light(unsigned mode, unsigned on);

void hook_send(unsigned task, struct msg *msg)
{
   if(current_task==6)
   {
      switch(msg->msg)
      {
         case MSG_LIGHTS_ON:
         case MSG_LIGHTS_LCD_ON_KBD_OFF:
            set_external_light(0,0);
            break;
            
         case MSG_LIGHTS_OFF:
         case MSG_LIGHTS_LCD_OFF_KBD_ON:
            set_external_light(0,1);
            break;
      }
   }
}

void hook_clear(void)
{
   set_external_light(1,0);
}

